<template>
  <v-form @submit.prevent="handleSubmit" ref="form" class="searchBar d-flex elevation-3">
    <v-text-field solo hide-details
        placeholder="Que cherchez-vous ? Professionnel, cabinet, ..." 
        flat
        v-model="searchQuery"
        prepend-inner-icon="mdi-magnify"
        class="searchText"
    >
      <template v-slot:append>
      </template>
    </v-text-field>
        
      <v-btn
          depressed 
          tile
          dark
          color="orange accent-3"
          class="searchButton"
          @click="handleSubmit">
        
          <span class="hidden-xs-only">Rechercher </span><v-icon>mdi-chevron-right</v-icon>
          
        </v-btn>
  </v-form>
</template>

<script>
export default {  
  name: 'SearchBar',
  props: {
    query: String
  },
  data: () => ({
    searchQuery: '',
    oldQuery: '',
  }),
  methods: {
    handleSubmit() {
      if(this.searchQuery === this.oldQuery)
        return;
      
      this.oldQuery = this.searchQuery;
      this.$emit('search', this.searchQuery)
    }
  },
  watch: {
    query:{
      immediate: true,
      handler(newVal) {
        this.searchQuery = newVal;
        this.oldQuery = newVal;
      }
    }
  }
}
</script>

<style scoped>
  a{
    text-decoration:none;
  }
  .searchBar{
    border-radius:5px;
    background:white;
    overflow:hidden;
  }
  .searchText{
    border-radius:0;
  }
  .searchButton{
    height:unset!important;
    text-decoration:none;
  }
</style>
